package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*推广者获得奖品名细
* @author quyixiao
* @since 2025-10-25
*/

@Data
@TableName("vv_promoter_award")
public class VvPromoterAwardEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPromoterAwardEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String promoter_id = CLASS_NAME + "promoter_id";                    // 推广者id，唯一值
    public final static String award_amount = CLASS_NAME + "award_amount";                  // 金额
    public final static String activity_id = CLASS_NAME + "activity_id";                    // 活动id
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";              // 订单id
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";    // 子订单id
    public final static String status_ = CLASS_NAME + "status";                             // create 创建, canceled 取消 , arrive，到账
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //推广者id，唯一值
    private String promoterId;
    //金额
    private BigDecimal awardAmount;
    //活动id
    private Long activityId;
    //订单id
    private Long tradeOrderId;
    //子订单id
    private Long tradeOrderLineId;
    //create 创建, canceled 取消 , arrive，到账
    private String status;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 推广者id，唯一值 
     * @return
     */
    public String getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id，唯一值 
     * @param promoterId
     */
    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    /**
     * 金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 活动id 
     * @return
     */
    public Long getActivityId() {
        return activityId;
    }
    /**
     * 活动id 
     * @param activityId
     */
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单id 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 子订单id 
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     * 子订单id 
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     * create 创建, canceled 取消 , arrive，到账 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * create 创建, canceled 取消 , arrive，到账 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "VvPromoterAwardEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",promoterId=" + promoterId +
                ",awardAmount=" + awardAmount +
                ",activityId=" + activityId +
                ",tradeOrderId=" + tradeOrderId +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",status=" + status +
                "}";
    }
}